Bug 1423303 - compat-gcc-34: FTBFS in rawhide
Summary: compat-gcc-34: FTBFS in rawhide
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: compat-gcc-34
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F26FTBFS
TreeView+ depends on / blocked
 
Reported: 2017-02-17 03:32 UTC by Fedora Release Engineering
Modified: 2018-03-06 17:30 UTC (History)
3 users (show)

Fixed In Version: compat-gcc-34-3.4.6-46.fc27 compat-gcc-34-3.4.6-46.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-03-06 17:24:20 UTC
Type: ---


Attachments (Terms of Use)
build.log (103.65 KB, text/plain)
2017-02-17 03:32 UTC, Fedora Release Engineering
no flags Details
root.log (85.20 KB, text/plain)
2017-02-17 03:33 UTC, Fedora Release Engineering
no flags Details
state.log (647 bytes, text/plain)
2017-02-17 03:33 UTC, Fedora Release Engineering
no flags Details
Fixes build on Fedora 26 (3.69 KB, patch)
2017-12-02 19:40 UTC, Rafal Luzynski
no flags Details | Diff
Fixes build on Fedora 27 and newer (part 1) (3.70 KB, patch)
2017-12-02 19:43 UTC, Rafal Luzynski
no flags Details | Diff
Fixes build on Fedora 27 and newer (part 2) (1.17 KB, patch)
2017-12-02 19:50 UTC, Rafal Luzynski
no flags Details | Diff

Description Fedora Release Engineering 2017-02-17 03:32:51 UTC
Your package compat-gcc-34 failed to build from source in current rawhide.

https://koji.fedoraproject.org/koji/taskinfo?taskID=17712387

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

Comment 1 Fedora Release Engineering 2017-02-17 03:32:57 UTC
Created attachment 1251660 [details]
build.log

Comment 2 Fedora Release Engineering 2017-02-17 03:33:01 UTC
Created attachment 1251661 [details]
root.log

Comment 3 Fedora Release Engineering 2017-02-17 03:33:07 UTC
Created attachment 1251662 [details]
state.log

Comment 4 Fedora End Of Life 2017-02-28 11:26:12 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 5 Rafal Luzynski 2017-12-02 19:40:05 UTC
Created attachment 1362079 [details]
Fixes build on Fedora 26

This patch adds a patch :-) which fixes a doc file gcc.texi whose failure seems to be blocking. Also it increases the maximum allowed libstdc++ version. In a comment I wrote that the 7.x series of libstdc++ "is still backwards ABI compatible" like it was written many times in the past but honestly I have no idea how to verify that it is actually compatible. If it is then the patch is correct. If it is not then I'm not sure how to fix the problem.

The patch is correct for Fedora 26 and also required but not sufficient for later versions. In fact it is a backport of some patches for later Fedora releases which I will attach later.

Builds in koji without a problem: https://koji.fedoraproject.org/koji/taskinfo?taskID=23489430

Comment 6 Rafal Luzynski 2017-12-02 19:43:39 UTC
Created attachment 1362080 [details]
Fixes build on Fedora 27 and newer (part 1)

In fact the previous patch is a backport of this one. The branches have diverged so the patches differ. Otherwise all previous comments apply here as well.

This patch is required but not sufficient, see the next patch.

Comment 7 Rafal Luzynski 2017-12-02 19:50:39 UTC
Created attachment 1362081 [details]
Fixes build on Fedora 27 and newer (part 2)

This is the second patch required to fix the problem on Fedora 27 and newer. Builds fine in koji on F27: https://koji.fedoraproject.org/koji/taskinfo?taskID=23495065
except s390x which has an errors which I don't know how to fix: "Unknown cpu used in -march=zEC12," "Unknown cpu used in -mtune=z13," and "z/Architecture mode not supported on zEC12."

The same patches are required and applicable to F28 (Rawhide, master) branch as well. However, due to the recent changes in redhat-rpm-config one more patch is required to make the package build. See the failed build in koji for Rawhide: https://koji.fedoraproject.org/koji/taskinfo?taskID=23494230

Comment 8 Jonathan Wakely 2018-02-07 13:57:58 UTC
(In reply to Rafal Luzynski from comment #5)
> This patch adds a patch :-) which fixes a doc file gcc.texi whose failure
> seems to be blocking. Also it increases the maximum allowed libstdc++
> version. In a comment I wrote that the 7.x series of libstdc++ "is still
> backwards ABI compatible" like it was written many times in the past but
> honestly I have no idea how to verify that it is actually compatible.

https://gcc.gnu.org/onlinedocs/libstdc++/manual/abi.html#abi.versioning.history shows that GCC 3.4.

GCC 3.4.0: libstdc++.so.6.0.0 (Incompatible with previous)
GCC 3.4.2: libstdc++.so.6.0.2
GCC 3.4.3: libstdc++.so.6.0.3
...
GCC 8.0.0: libstdc++.so.6.0.25

i.e. it's still compatible.


The struct ucontext and texinfo patches are also correct (an alternative to the texinfo patch would be to configure with MAKEINFO=missing to disable generation of those docs, but fixing them is better).

Comment 9 Jonathan Wakely 2018-02-07 13:59:53 UTC
I would use "libstdc++ < 9.0.0" not "libstdc++ < 8.0.0" because gcc-8 is also compatible.

Comment 10 Fedora Update System 2018-02-23 12:08:21 UTC
compat-gcc-34-3.4.6-46.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-7b853bf34b

Comment 11 Fedora Update System 2018-02-23 12:08:40 UTC
compat-gcc-34-3.4.6-46.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-61e0f160ba

Comment 12 Fedora Update System 2018-02-23 16:27:55 UTC
compat-gcc-34-3.4.6-46.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-61e0f160ba

Comment 13 Fedora Update System 2018-02-23 16:58:31 UTC
compat-gcc-34-3.4.6-46.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-7b853bf34b

Comment 14 Fedora Update System 2018-03-06 17:24:20 UTC
compat-gcc-34-3.4.6-46.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2018-03-06 17:30:08 UTC
compat-gcc-34-3.4.6-46.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.